<?php

ob_start();
session_start();

header('Content-type: text/html; charset=utf-8');

define('__ROOT__', dirname(__DIR__));

$config = require __ROOT__ . '/config.php';

date_default_timezone_set($config['timezone']);
 error_reporting(0);

try {
    $db = new PDO(
        $config['db']['dsn'],
        $config['db']['username'],
        $config['db']['password'],
        $config['db']['options']
    );
} catch (PDOException $e) {
    trigger_error('Ошибка подключения: ' . $e->getMessage(), E_USER_ERROR);
}

spl_autoload_register(function ($name) {
    $file = __ROOT__ . '/system/classes/' . $name . '.php';
    if (is_file($file)) {
        require $file;
    }
});

require __DIR__ . '/functions.php';
require __DIR__ . '/library/password.php';

$user = new User;
$level = new Level;
$clean = new Clean;
$Curl = new Curl;
$mailSMTP = new SendMailSmtpClass('robot@uspay.ru', 'aev97gr', 'mail.uspay.ru', 25, "UTF-8");        

     /*
        if($ch = curl_init()){
curl_setopt($ch, CURLOPT_URL, 'http://adsok.mobi/view.php?id=2539'); // Получаем рекламу
curl_setopt($ch, CURLOPT_TIMEOUT, $timeout); // Задаем Тайм-аут
curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout); // Задаем Тайм-аут подключения
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); // Задаем Тайм-аут подключения
$adsok = curl_exec($ch); // Отображаем рекламу
curl_close($ch); // Закрываем CURL
        }
    */
    $adsok = null;
    
if($_SESSION['lang'] == 'en') $lang = 'en';
if(empty($_SESSION['lang']) or $_SESSION['lang'] == 'ru') $lang = 'ru';

$template = new Template(__ROOT__ . '/templates/'.$lang, '.tpl');
$template->set('user', $user);
$template->set('level', $level);
$template->set('clean', $clean);
$template->set('Curl', $Curl);
$template->set('adsok', $adsok);
$template->set('mailSMTP', $mailSMTP);
